%define major 201
%define libname %mklibname %{name} %{major}
%define devname %mklibname %{name} -d

Summary:	Embeddable Javascript engine
Name:		duktape
Version:	2.1.0
Release:	1
License:	MIT
Group:		System/Libraries
Url:		http://duktape.org/
Source0:	http://duktape.org/%{name}-%{version}.tar.xz
Patch0:		duktape-2.1.0-makefile.patch

%description
Duktape is an embeddable Javascript engine, with a focus on portability
and compact footprint.

This package contains a commandline duk interpreter.

%files
%doc AUTHORS.rst LICENSE.txt README.rst
%{_bindir}/duk

#----------------------------------------------------------------------------

%package -n %{libname}
Summary:	Embeddable Javascript engine shared library
Group:		System/Libraries

%description -n %{libname}
Embeddable Javascript engine shared library.

%files -n %{libname}
%{_libdir}/libduktape.so.%{major}*

#----------------------------------------------------------------------------

%package -n %{devname}
Summary:	Development files for %{name}
Group:		Development/C
Requires:	%{libname} = %{EVRD}
Provides:	%{name}-devel = %{EVRD}

%description -n %{devname}
Libraries and header files for developing programs based on %{name}.

%files -n %{devname}
%{_includedir}/duk_config.h
%{_includedir}/duktape.h
%{_libdir}/libduktape.so

#----------------------------------------------------------------------------

%prep
%setup -q
%patch0 -p1

%build
%setup_compile_flags
%make -f Makefile.sharedlibrary
%make -f Makefile.cmdline

%install
%makeinstall_std \
	INSTALL_PREFIX="%{_prefix}" \
	LIBDIR="%{_libdir}" \
	-f Makefile.sharedlibrary

mkdir -p %{buildroot}%{_bindir}
install -m 755 duk %{buildroot}%{_bindir}/duk


%changelog

* Tue May 30 2017 Rosa <rosa@abf.rosalinux.ru> 2.1.0-1
- (8c69ea0) Automatic import for version 2.1.0-1


